require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Oess_1::LibraryMode.instance.define_library( 'oess_1/defs/prj.rb' ) {
	if Oess_1::LibraryMode.instance.static?
		define( 'OESS_1__STATIC_LIBS', MxxRu::Cpp::Target::OPT_UPSPREAD )
	else
		rtl_mode( Mxx_ru::Cpp::RTL_SHARED )
	end
		
	rtti_mode( Mxx_ru::Cpp::RTTI_ENABLED )

	required_prj( Oess_1::LibraryMode.instance.ace_prj )

	Oess_1.setup_platform( self )

	define( 'OESS_1__DEFS__PRJ' )

	target( 'oess_defs' + Oess_1::VERSION )

	cpp_source( 'err_code.cpp' )
	cpp_source( 'ex.cpp' )
	cpp_source( 'ent_id.cpp' )
	cpp_source( 'quantity.cpp' )
}

